﻿local VERSION = tonumber(("$Revision: 51436 $"):match("%d+"))

Parrot = Rock:NewAddon("Parrot", "LibRockDB-1.0", "LibRockConsole-1.0", "LibParser-4.0", "LibRockModuleCore-1.0", "LibRockEvent-1.0", "LibRockTimer-1.0", "LibRockHook-1.0", "LibRockConfig-1.0")
local Parrot, self = Parrot, Parrot
Parrot.version = "1.0r" .. VERSION
Parrot.revision = VERSION
Parrot.date = ("$Date: 2007-10-08 19:07:51 -0400 (Mon, 08 Oct 2007) $"):match("%d%d%d%d%-%d%d%-%d%d")

-- #AUTODOC_NAMESPACE Parrot

local _G = _G

local localeTables = {}

----------------------------------
--    Translate add start here     --
----------------------------------

--Chinese Translate from MOP&CWDG
--Add and Mod by Ananhaid@CWDG
if GetLocale() == "zhCN" then localeTables = {
	["Parrot"] = {
		["Parrot"] = "Parrot",
		["Floating Combat Text of awesomeness. Caw. It'll eat your crackers."] = "Floating Combat Text of awesomeness. Caw. It'll eat your crackers",
		["Inherit"] = "继承",
		["Parrot Configuration"] = "Parrot 配置",
		["Waterfall-1.0 is required to access the GUI."] = "需要 Waterfall-1.0 库才能打开 GUI",
		["General"] = "通用",
		["General settings"] = "通用设置",
		["Game damage"] = "默认伤害",
		["Whether to show damage over the enemy's heads."] = "是否在敌人头上显示伤害值",
		["Game healing"] = "默认治疗",
		["Whether to show healing over the enemy's heads."] = "是否在敌人头上显示治疗量",
		["|cffffff00Left-Click|r to change settings with a nice GUI configuration."] = "|cffffff00左键点击|r以 GUI 配置方式改变设置",
		["|cffffff00Right-Click|r to change settings with a drop-down menu."] = "|cffffff00右键点击|r以下拉菜单方式改变设置",
	},
	["Parrot_CombatEvents"] = {
		["[Text] (crit)"] = "[Text] (crit)",
		["[Text] (crushing)"] = "[Text] (碾压)",
		["[Text] (glancing)"] = "[Text] (偏斜)",
		[" ([Amount] absorbed)"] = " (吸收 [Amount])",
		[" ([Amount] blocked)"] = " (格挡 [Amount])",
		[" ([Amount] resisted)"] = " (抵抗 [Amount])",
		[" ([Amount] vulnerable)"] = " (易伤 [Amount])",
		[" ([Amount] overheal)"] = " (过量治疗 [Amount])",
		["Events"] = "事件",
		["Change event settings"] = "改变事件设置",
		["Incoming"] = "承受",
		["Incoming events are events which a mob or another player does to you."] = "承受事件是那些怪物或玩家对你造成的事件",
		["Outgoing"] = "输出",
		["Outgoing events are events which you do to a mob or another player."] = "输出事件是那些你对怪物或玩家造成的事件",
		["Notification"] = "提示",
		["Notification events are available to notify you of certain actions."] = "提示事件用来提醒你某个特定动作的触发",
		["Event modifiers"] = "事件修饰",
		["Options for event modifiers."] = "事件修饰的选项",
		["Color"] = "颜色",
		["Whether to color event modifiers or not."] = "是否为事件修饰上色",
		["Damage types"] = "伤害类型",
		["Options for damage types."] = "伤害类型的选项",
		["Whether to color damage types or not."] = "是否为伤害类型上色",
		["Sticky crits"] = "爆击粘附",
		["Enable to show crits in the sticky style."] = "允许将爆击用粘附的风格显示",
		["Throttle events"] = "事件节流",
		["Whether to merge mass events into single instances instead of excessive spam."] = "是否将大量同类事件整合为一个单一事件而避免信息泛滥",
		["Filters"] = "过滤",
		["Filters to be checked for a minimum amount of damage/healing/etc before showing."] = "过滤显示小于特定值的伤害/治疗/其他信息",
		["Shorten spell names"] = "缩略法术名称",
		["How or whether to shorten spell names."] = "是否或如何缩略法术名称",
		["Style"] = "风格",
		["How or whether to shorten spell names."] = "是否或如何缩略法术名称",
		["None"] = "无",
		["Abbreviate"] = "缩写",
		["Truncate"] = "截短",
		["Do not shorten spell names."] = "不对法术名称进行缩略",
		["Gift of the Wild => GotW."] = "真言术：韧 => 韧",
		["Gift of the Wild => Gift of t..."] = "真言术：韧 => 真言术...",
		["Length"] = "长度",
		["The length at which to shorten spell names."] = "需要进行法术名称缩略的长度",
		["Critical hits/heals"] = "爆击伤害/治疗",
		["Crushing blows"] = "碾压",
		["Glancing hits"] = "偏斜",
		["Partial absorbs"] = "部分吸收",
		["Partial blocks"] = "部分格挡",
		["Partial resists"] = "部分抵抗",
		["Vulnerability bonuses"] = "易伤加成",
		["Overheals"] = "过量治疗",
		["<Text>"] = "<Text>",
		["Enabled"] = "应用",
		["Whether to enable showing this event modifier."] = "是否应用事件修饰显示",
		["What color this event modifier takes on."] = "事件修饰采用何种颜色",
		["Text"] = "文本",
		["What text this event modifier shows."] = "事件修饰显示什么文本",
		["Physical"] = "物理",
		["Holy"] = "神圣",
		["Fire"] = "火焰",
		["Nature"] = "自然",
		["Frost"] = "冰霜",
		["Shadow"] = "暗影",
		["Arcane"] = "奥术",
		["What color this damage type takes on."] = "此伤害类型采用何种颜色",
		["Inherit"] = "继承",
		["Thin"] = "细",
		["Thick"] = "粗",
		["<Tag>"] = "<Tag>",
		["Uncategorized"] = "未分类",
		["Tag"] = "标识",
		["Tag to show for the current event."] = "标识显示当前事件",
		["Color of the text for the current event."] = "当前事件的文本颜色",
		["Sound"] = "音效",
		["What sound to play when the current event occurs."] = "当前事件发生时播放哪个音效",
		["Sticky"] = "粘附",
		["Whether the current event should be classified as \"Sticky\""] = "是否将当前事件以\"粘附\"方式显示",
		["Custom font"] = "自定义字体",
		["Font face"] = "字体",
		["Inherit font size"] = "继承字号",
		["Font size"] = "字号",
		["Font outline"] = "字体勾勒",
		["Enable the current event."] = "应用当前事件",
		["Scroll area"] = "滚动区域",
		["Which scroll area to use."] = "应用哪个滚动区域",
		["What timespan to merge events within.\nNote: a time of 0s means no throttling will occur."] = "合并事件的时间间隔（单位秒）\n注意：0表示不进行节流显示",
		["What amount to filter out. Any amount below this will be filtered.\nNote: a value of 0 will mean no filtering takes place."] = "需要过滤的值，低于该值将被过滤\n注意：若过滤值为0则表示不进行过滤",
		["The amount of damage absorbed."] = "被吸收的伤害量",
		["The amount of damage blocked."] = "被格挡的伤害量",
		["The amount of damage resisted."] = "被抵抗的伤害量",
		["The amount of vulnerability bonus."] = "易伤加成量",
		["The amount of overhealing."] = "过量治疗量",
		["The normal text."] = "一般文本",
	},
	["Parrot_Display"] = {
		["None"] = "无",
		["Thin"] = "细",
		["Thick"] = "粗",
		["Text transparency"] = "文本透明度",
		["How opaque/transparent the text should be."] = "文本显示的透明度",
		["Icon transparency"] = "图标透明度",
		["How opaque/transparent icons should be."] = "图标显示的透明度",
		["Enable icons"] = "应用图标",
		["Set whether icons should be enabled or disabled altogether."] = "设置是否图标要被一起显示",
		["Master font settings"] = "主字体设置",
		["Normal font"] = "正常字体",
		["Normal font face."] = "正常字体",
		["Normal font size"] = "正常字号",
		["Normal outline"] = "正常勾勒",
		["Sticky font"] = "粘附字体",
		["Sticky font face."] = "粘附字体",
		["Sticky font size"] = "粘附字号",
		["Sticky outline"] = "粘附勾勒",
	},
	["Parrot_ScrollAreas"] = {
		["Incoming"] = "承受",
		["Outgoing"] = "输出",
		["Notification"] = "提示",
		["New scroll area"] = "新滚动区域",
		["Inherit"] = "继承",
		["None"] = "无",
		["Thin"] = "细",
		["Thick"] = "粗",
		["Left"] = "左",
		["Right"] = "右",
		["Disable"] = "禁用",
		["Options for this scroll area."] = "本滚动区域的选项",
		["Name"] = "名称",
		["Name of the scroll area."] = "滚动区域的名称",
		["<Name>"] = "<名称>",
		["Remove"] = "移除",
		["Remove this scroll area."] = "移除本滚动区域",
		["Icon side"] = "图标位置",
		["Set the icon side for this scroll area or whether to disable icons entirely."] = "设置本滚动区域的图标位置或是否完全禁用图标",
		["Test"] = "测试",
		["Send a test message through this scroll area."] = "发送一条测试信息到本滚动区域",
		["Normal"] = "正常",
		["Send a normal test message."] = "发送一条正常测试信息",
		["Sticky"] = "粘附",
		["Send a sticky test message."] = "发送一条粘附测试信息",
		["Direction"] = "方向",
		["Which direction the animations should follow."] = "滚动动画的方向",
		["Direction for normal texts."] = "正常文字的方向",
		["Direction for sticky texts."] = "粘附文字的方向",
		["Animation style"] = "动画效果",
		["Which animation style to use."] = "采用何种动画效果",
		["Animation style for normal texts."] = "正常文字的动画效果",
		["Animation style for sticky texts."] = "粘附文字的动画效果",
		["Position: horizontal"] = "水平位置",
		["The position of the box across the screen"] = "在屏幕上的水平位置",
		["Position: vertical"] = "垂直位置",
		["The position of the box up-and-down the screen"] = "在屏幕上的垂直位置",
		["Size"] = "大小",
		["How large of an area to scroll."] = "滚动区域的大小",
		["Scrolling speed"] = "滚动速度",
		["How fast the text scrolls by."] = "设置以多快的速度滚动",
		["Seconds for the text to complete the whole cycle, i.e. larger numbers means slower."] = "完成整个滚动循环的秒数，数字越大滚动越慢",
		["Custom font"] = "自定义字体",
		["Normal font face"] = "正常字体",
		["Normal inherit font size"]  = "继承正常字号",
		["Normal font size"] = "正常字号",
		["Normal font outline"] = "正常字体勾勒",
		["Sticky font face"] = "粘附字体",
		["Sticky inherit font size"] = "继承粘附字号",
		["Sticky font size"] = "粘附字号",
		["Sticky font outline"] = "粘附字体勾勒",
		["Click and drag to the position you want."]  = "拖动到你希望的位置",
		["Scroll area: %s"] = "滚动区域：%s",
		["Position: %d, %d"] = "位置：%d，%d",
		["Scroll areas"] = "滚动区域",
		["Options regarding scroll areas."] = "滚动区域的选项",
		["Configuration mode"] = "配置模式",
		["Enter configuration mode, allowing you to move around the scroll areas and see them in action."] = "进入配置模式，让你可以移动滚动区域并观看效果",
		["New scroll area"] = "新增滚动区域",
		["Add a new scroll area."] = "增加一个新的滚动区域",
	},
	["Parrot_Suppressions"] = {
		["New suppression"] = "新增覆盖事件",
		["Edit"] = "编辑",
		["Edit search string"] = "编辑搜索字符串",
		["<Any text> or <Lua search expression>"] = "<任意文字>或<LUA 搜索表达式>",
		["Lua search expression"] = "LUA 搜索表达式",
		["Whether the search string is a lua search expression or not."] = "是否搜索字符串是一个 LUA 搜索表达式",
		["Remove"] = "移除",
		["Remove suppression"] = "移除覆盖事件",
		["Suppressions"] = "覆盖事件",
		["List of strings that will be squelched if found."] = "列出的字符串若找到则被覆盖",
		["Add a new suppression."] = "增加一个新的覆盖事件",
	},
	["Parrot_Triggers"] = {
		["%s!"] = "%s！",
		["Low Health!"] = "低血量！",
		["Low Mana!"] = "低法力！",
		["Low Pet Health!"] = "宠物低血量！",
		["Free %s!"] = "额外%s！",
		["Trigger cooldown"] = "触发冷却",
		["Check every XX seconds"] = "每过XX检查一次",
		["Triggers"] = "条件触发",
		["New trigger"] = "新增条件触发",
		["Create a new trigger"] = "创建一个新的条件触发",
		["Inherit"] = "继承",
		["None"] = "无",
		["Thin"] = "细",
		["Thick"] = "粗",
		["Druid"] = "德鲁伊",
		["Rogue"] = "潜行者",
		["Shaman"] = "萨满祭司",
		["Paladin"] = "圣骑士",
		["Mage"] = "法师",
		["Warlock"] = "术士",
		["Priest"] = "牧师",
		["Warrior"] = "战士",
		["Hunter"] = "猎人",
		["Output"] = "输出",
		["The text that is shown"] = "想要显示的文本",
		['<Text to show>'] = "<显示文本>",
		["Icon"] = "图标",
		["The icon that is shown"] = "想要显示的图标",
		['<Spell name> or <Item name> or <Path>'] = "<法术名称>或<物品名称>或<路径>",
		["Enabled"] = "应用",
		["Whether the trigger is enabled or not."] = "是否应用这个条件触发",
		["Remove trigger"] = "移除条件触发",
		["Remove this trigger completely."] = "彻底移除这个条件触发",
		["Color"] = "颜色",
		["Color of the text for this trigger."] = "这个条件触发的显示文本颜色",
		["Sticky"] = "粘附",
		["Whether to show this trigger as a sticky."] = "是否将本条件触发粘附显示",
		["Classes"] = "职业",
		["Classes affected by this trigger."] = "本条件触发所影响的职业",
		["Scroll area"] = "滚动区域",
		["Which scroll area to output to."] = "选择输出的滚动区域",
		["Sound"] = "音效",
		["What sound to play when the trigger is shown."] = "条件触发显示时播放何种音效",
		["Test"] = "测试",
		["Test how the trigger will look and act."] = "测试条件触发的效果",
		["Custom font"] = "自定义字体",
		["Font face"] = "字体",
		["Inherit font size"] = "继承字号",
		["Font size"] = "字号",
		["Font outline"] = "字体勾勒",
		["Primary conditions"] = "主条件",
		["When any of these conditions apply, the secondary conditions are checked."] = "当这些条件中的任一个满足时，检查次条件",
		["New condition"] = "新增条件",
		["Add a new primary condition"] = "增加一个新的主条件",
		["Remove condition"] = "移除条件",
		["Remove a primary condition"] = "移除一个主条件",
		["Secondary conditions"] = "次条件",
		["When all of these conditions apply, the trigger will be shown."] = "当所有这些条件被满足时，条件触发将被显示",
		["Add a new secondary condition"] = "增加一个新的次条件",
		["Remove a secondary condition"] = "移除一个次条件",
	},
	["Parrot_AnimationStyles"] = {
		["Straight"] = "直线型",
		["Up, left-aligned"] = "向上，左对齐",
		["Up, right-aligned"] = "向上，右对齐",
		["Up, center-aligned"] = "向上，中对齐",
		["Down, left-aligned"] = "向下，左对齐",
		["Down, right-aligned"] = "向下，右对齐",
		["Down, center-aligned"] = "向下，中对齐",
		["Parabola"] = "抛物线",
		["Up, left"] = "向上，向左",
		["Up, right"] = "向上，向右",
		["Up, alternating"] = "向上，交错",
		["Down, left"] = "向下，向左",
		["Down, right"] = "向下，向右",
		["Down, alternating"] = "向下，交错",
		["Semicircle"] = "半圆型",
		["Pow"] = "震动型",
		["Static"] = "静态型",
		["Rainbow"] = "彩虹型",
		["Horizontal"] = "横移型",
		["Left"] = "左",
		["Right"] = "右",
		["Alternating"] = "交错",
		["Action"] = "动作型",
		["Action Sticky"] = "动态粘附",
		["Angled"] = "角度型",
		["Sprinkler"] = "洒水型",
		["Up, clockwise"] = "向上，顺时针",
		["Down, clockwise"] = "向下，顺时针",
		["Left, clockwise"] = "向左，顺时针",
		["Right, clockwise"] = "向右，顺时针",
		["Up, counter-clockwise"] = "向上，逆时针",
		["Down, counter-clockwise"] = "向下，逆时针",
		["Left, counter-clockwise"] = "向左，逆时针",
		["Right, counter-clockwise"] = "向右，逆时针",
	},
	["Parrot_Auras"] = {
		["Auras"] = "光环",
		["Debuff gains"] = "受到 DEBUFF",
		["The name of the debuff gained."] = "受到 DEBUFF 的名称",
		["Buff gains"] = "获得 BUFF",
		["The name of the buff gained."] = "获得 BUFF 的名称",
		["Item buff gains"] = "获得物品 BUFF",
		["The name of the item buff gained."] = "获得物品 BUFF 的名称",
		["The rank of the item buff gained."] = "获得物品 BUFF 的等级",
		["Debuff fades"] = "DEBUFF 消退",
		["The name of the debuff lost."] = "消退 DEBUFF 的名称",
		["Buff fades"] = "BUFF 消退",
		["The name of the buff lost."] = "消退 BUFF 的名称",
		["Item buff fades"] = "物品 BUFF 消退",
		["The name of the item buff lost."] = "消退物品BUFF的名称",
		["The rank of the item buff lost."] = "消退物品 BUFF 的等级",
		["Self buff gain"] = "获得自身 BUFF",
		["<Buff name>"] = "<BUFF 名称>",
		["Self buff fade"] = "自身 BUFF 消退",
		["Self debuff gain"] = "获得自身 DEBUFF",
		["<Debuff name>"] = "<DEBUFF 名称>",
		["Self debuff fade"] = "自身 DEBUFF 消退",
		["Self item buff gain"] = "获得自身物品 BUFF",
		["<Item buff name>"] = "<物品 BUFF 名称>",
		["Self item buff fade"] = "自身 BUFF 消退",
		["Target buff gain"] = "目标获得 BUFF",
		["Target debuff gain"] = "目标 BUFF 消退",
		["Buff inactive"] = "BUFF 未激活",
		["Buff active"] = "BUFF 激活",
	},
	["Parrot_CombatEvents_Data"] = {
		["Incoming damage"] = "承受伤害",
		["Melee damage"] = "近战伤害",
		["Melee"] = "近战",
		["The name of the enemy that attacked you."] = "攻击你的敌人名称",
		["The amount of damage done."] = "造成的伤害量",
		[" (%d hit, %d crit)"] = "（%d次命中，%d次爆击）",
		[" (%d hit, %d crits)"] = "（%d次命中，%d次爆击）",
		[" (%d hits, %d crit)"] = "（%d次命中，%d次爆击）",
		[" (%d hits, %d crits)"] = "（%d次命中，%d次爆击）",
		[" (%d crits)"] = "（%d次爆击）",
		[" (%d hits)"] = "（%d次命中）",
		["Multiple"] = "多重",
		["Melee misses"] = "近战未命中",
		["Miss!"] = "未命中！",
		["Melee dodges"] = "近战躲闪",
		["Dodge!"] = "躲闪！",
		["Melee parries"] = "近战招架",
		["Parry!"] = "招架！",
		["Melee blocks"] = "近战格挡",
		["Block!"] = "格挡！",
		["Melee absorbs"] = "近战吸收",
		["Absorb!"] = "吸收！",
		["Melee immunes"] = "近战免疫",
		["Immune!"] = "免疫！",
		["Melee evades"] = "近战闪避",
		["Evade!"] = "闪避！",
		["Skills"] = "技能",
		["Skill damage"] = "技能伤害",
		["The type of damage done."] = "造成伤害的类型",
		["The spell or ability that the enemy attacked you with."] = "敌人攻击你所用的法术或技能",
		["DoTs and HoTs"] = "DoT 和 HoT",
		["Skill DoTs"] = "技能 DoT",
		["Ability misses"] = "技能未命中",
		["Ability dodges"] = "技能躲闪",
		["Ability parries"] = "技能招架",
		["Ability blocks"] = "技能格挡",
		["Spell resists"] = "法术抵抗",
		["Resist!"] = "抵抗！",
		["Skill absorbs"] = "技能吸收",
		["Skill immunes"] = "技能免疫",
		["Skill reflects"] = "技能反射",
		["Reflect!"] = "反射！",
		["Skill interrupts"] = "技能打断",
		["Interrupt!"] = "打断！",
		["Incoming heals"] = "受到治疗",
		["Heals"] = "治疗",
		["The name of the ally that healed you."] = "治疗你的盟友名字",
		["The spell or ability that the ally healed you with."] = "盟友用来治疗你的法术名称",
		["The amount of healing done."] = "受到的治疗量",
		[" (%d heal, %d crit)"] = "（%d次治疗，%d次爆击）",
		[" (%d heal, %d crits)"] = "（%d次治疗，%d次爆击）",
		[" (%d heals, %d crit)"] = "（%d次治疗，%d次爆击）",
		[" (%d heals, %d crits)"] = "（%d次治疗，%d次爆击）",
		[" (%d heals)"] = "（%d次治疗）",
		["Heals over time"] = "持续治疗",
		["Environmental damage"] = "环境伤害",
		["Outgoing damage"] = "输出伤害",
		["The name of the enemy you attacked."] = "你所攻击的敌人名称",
		["The spell or ability that you used."] = "你所使用的法术或技能",
		["Skill evades"] = "技能闪避",
		["Outgoing heals"] = "输出治疗",
		["The name of the ally you healed."] = "你所治疗的盟友名字",
		["Pet melee"] = "近战（宠物）",
		["Pet melee damage"] = "近战伤害（宠物）",
		["Pet [Amount]"] = "[Amount]（宠物）",
		["The name of the enemy your pet attacked."] = "宠物攻击的敌人名称",
		["Pet melee misses"] = "近战未命中（宠物）",
		["Pet Miss!"] = "未命中！（宠物）",
		["Pet melee dodges"] = "近战躲闪（宠物）",
		["Pet Dodge!"] = "躲闪！（宠物）",
		["Pet melee parries"] = "近战招架（宠物）",
		["Pet Parry!"] = "招架（宠物）",
		["Pet melee blocks"] = "近战格挡（宠物）",
		["Pet Block!"] = "格挡（宠物）",
		["Pet melee absorbs"] = "近战吸收（宠物）",
		["Pet Absorb!"] = "吸收！（宠物）",
		["Pet melee immunes"] = "近战免疫（宠物）",
		["Pet Immune!"] = "免疫！（宠物）",
		["Pet melee evades"] = "近战闪避（宠物）",
		["Pet Evade!"] = "闪避！ （宠物）",
		["Pet skills"] = "宠物技能",
		["Pet skill"] = "宠物技能",
		["Pet skill damage"] = "宠物技能伤害",
		["Pet [Amount] ([Skill])"] = "[Amount] ([Skill])（宠物）",
		["The ability or spell your pet used."] = "宠物所使用的技能或法术",
		["Pet ability misses"] = "技能未命中（宠物）",
		["Pet ability dodges"] = "技能躲闪（宠物）",
		["Pet ability parries"] = "技能招架（宠物）",
		["Pet ability blocks"] = "技能格挡（宠物）",
		["Pet spell resists"] = "技能抵抗（宠物）",
		["Pet Resist!"] = "抵抗！（宠物）",
		["Pet skill absorbs"] = "技能吸收（宠物）",
		["Pet skill immunes"] = "技能免疫（宠物）",
		["Pet skill reflects"] = "技能反射（宠物）",
		["Pet Reflect!"] = "反射！（宠物）",
		["Pet skill evades"] = "技能闪避（宠物）",
		["Combat status"] = "战斗状态",
		["Enter combat"] = "进入战斗",
		["Leave combat"] = "脱离战斗",
		["Power gain/loss"] = "获得/失去能量",
		["Power change"] = "能量变化",
		["Power gain"] = "获得能量",
		["+[Amount] [Type]"] = "+[Amount] [Type]",
		["The amount of power gained."] = "获得能量的数量",
		["The type of power gained (Mana, Rage, Energy)."] = "获得能量的类型（法力，怒气，能量）",
		["The ability or spell used to gain power."] = "为获得能量而使用的技能或法术",
		["The character that the power comes from."] = "为你提供能量的角色",
		[" (%d gains)"] = "（获得%d点）",
		["Power loss"] = "失去能量",
		["-[Amount] [Type]"] = "-[Amount] [Type]",
		["The amount of power lost."] = "失去能量的数量",
		["The type of power lost (Mana, Rage, Energy)."] = "失去能量的类型（法力，怒气，能量）",
		["The ability or spell take away your power."] = "使用的技能或法术而失去能量",
		["The character that caused the power loss."] = "令你失去能量的角色",
		[" (%d losses)"] = "（失去%s点）",
		["Combo points"] = "连击点",
		["Combo point gain"] = "获得连击点",
		["[Num] CP"] = "[Num]点CP",
		["The current number of combo points."] = "当前的连击点数",
		["Combo points full"] = "连击点已满",
		["[Num] CP Finish It!"] = "[Num]点CP 终结技！",
		["Honor gains"] = "获得荣誉",
		["The amount of honor gained."] = "获得的荣誉点数",
		["The name of the enemy slain."] = "被杀死的敌人名字",
		["The rank of the enemy slain."] = "被杀死的敌人级别",
		["Reputation"] = "声望",
		["Reputation gains"] = "获得声望",
		["The amount of reputation gained."] = "获得的声望点数",
		["The name of the faction."] = "势力的名称",
		["Reputation losses"] = "失去声望",
		["The amount of reputation lost."] = "失去声望的点数",
		["Skill gains"] = "技能提升",
		["The skill which experienced a gain."] = "获得提升的技能",
		["The amount of skill points currently."] = "当前的技能点数",
		["Experience gains"] = "获得经验",
		["The name of the enemy slain."] = "杀死的敌人名称",
		["The amount of experience points gained."] = "获得的经验点数",
		["Killing blows"] = "杀死",
		["Player killing blows"] = "杀死玩家",
		["Killing Blow!"] = "杀死！",
		["The spell or ability used to slay the enemy."] = "用来杀死敌人的法术或技能",
		["NPC killing blows"] = "杀死 NPC",
		["Soul shard gains"] = "获得灵魂碎片",
		["The name of the soul shard."] = "灵魂碎片的名称",
		["Extra attacks"] = "额外攻击",
		["%s!"] = "%s！",
		["The name of the spell or ability which provided the extra attacks."] = "导致额外攻击的法术或技能名称",
	},
	["Parrot_Cooldowns"] = {
		["Cooldowns"] = "冷却",
		["Skill cooldown finish"] = "技能冷却完成",
		["[[Skill] ready!]"] = "> [Skill] 冷却完成！<",
		["The name of the spell or ability which is ready to be used."] = "冷却完成的法术或技能名称",
		["Traps"] = "陷阱",
		["Shocks"] = "震击",
		["Divine Shield"] = "圣盾",
		["%s Tree"] = "%s系",
		["Spell ready"] = "法术可用",
		["<Spell name>"] = "<法术名称>",
	},
	["Parrot_Loot"] = {
		["Loot"] = "拾取",
		["Loot items"] = "拾取物品",
		["Loot [Name] +[Amount]([Total])"] = "拾取[Name] +[Amount]（[Total]）",
		["The name of the item."] = "物品名称",
		["The amount of items looted."] = "物品数量",
		["The total amount of items in inventory."] = "背包中物品的总量",
		["Loot money"] = "拾取金钱",
		["Loot +[Amount]"] = "拾取 +[Amount]",
		["The amount of gold looted."] = "拾取金钱的数量",
	},
	["Parrot_TriggerConditions_Data"] = {
		["Enemy target health percent"] = "敌对目标血量百分比",
		["Friendly target health percent"] = "友方目标血量百分比",
		["Self health percent"] = "自身血量百分比",
		["Self mana percent"] = "自身法力百分比",
		["Pet health percent"] = "宠物血量百分比",
		["Incoming block"] = "遭受格挡",
		["Incoming crit"] = "遭受爆击",
		["Incoming dodge"] = "遭受躲闪",
		["Incoming parry"] = "遭受招架",
		["Outgoing block"] = "产生格挡",
		["Outgoing crit"] = "产生爆击",
		["Outgoing dodge"] = "产生躲闪",
		["Outgoing parry"] = "产生招架",
		["Outgoing cast"] = "进行施法",
		["<Skill name>"] = "<技能名称>",
		["Incoming cast"] = "承受施法",
		["Minimum power amount"] = "最小能量值",
		["Warrior stance"] = "战士姿态",
		["Not in warrior stance"] = "没有处于姿态中",
		["Battle Stance"] = "战斗姿态",
		["Defensive Stance"] = "防御姿态",
		["Berserker Stance"] = "狂暴姿态",
	},
	["Parrot_CombatStatus"] = {
		["Combat status"] = "战斗状态",
		["Enter combat"] = "进入战斗",
		["+Combat"] = "+战斗",
		["Leave combat"] = "离开战斗",
		["-Combat"] = "-战斗",
		["In combat"] = "战斗中",
		["Not in combat"] = "非战斗",
	},
}end

-- Parrot localization information
-- Translation by Next96, Fenlis, Omosiro, SayClub
if GetLocale() == "koKR" then localeTables = {
	["Parrot"] = {
		["Parrot"] = "Parrot",
		["Floating Combat Text of awesomeness. Caw. It'll eat your crackers."] = "Floating Combat Text of awesomeness. Caw. It'll eat your crackers",
		["Inherit"] = "상속",
		["Parrot Configuration"] = "Parrot 설정",
		["Waterfall-1.0 is required to access the GUI."] = "GUI 환경 설정을 위해 Waterfall-1.0이 필요합니다.",
		["General"] = "전체",
		["General settings"] = "전체 설정",
		["Game damage"] = "게임 공격력",
		["Whether to show damage over the enemy's heads."] = "적의 머리위에 공격력을 표시합니다.",
		["Game healing"] = "게임 치유량",
		["Whether to show healing over the enemy's heads."] = "적의 머리위에 치유량을 표시합니다.",
		["|cffffff00Left-Click|r to change settings with a nice GUI configuration."] = "GUI 환경 설정으로 설정을 변경하려면 |cffffff00좌-클릭|r하세요.",
		["|cffffff00Right-Click|r to change settings with a drop-down menu."] = "드롭-다운 메뉴로 설정을 변경하려면 |cffffff00우-클릭|r하세요.",
	},
	["Parrot_CombatEvents"] = {
		["[Text] (crit)"] = "[Text] (치명타)",
		["[Text] (crushing)"] = "[Text] (강타당함)",
		["[Text] (glancing)"] = "[Text] (빗맞음)",
		[" ([Amount] absorbed)"] = " ([Amount] 흡수됨)",
		[" ([Amount] blocked)"] = " ([Amount] 피해 방어)",
		[" ([Amount] resisted)"] = " ([Amount] 저항함)",
		[" ([Amount] vulnerable)"] = " ([Amount] 약점)",
		[" ([Amount] overheal)"] = " ([Amount] 초과 치유)",
		["Events"] = "이벤트",
		["Change event settings"] = "이벤트 설정을 변경합니다.",
		["Incoming"] = "받는 메시지",
		["Incoming events are events which a mob or another player does to you."] = "받는 이벤트는 몹 혹은 다른 플레이어가 당신에게 행하는 이벤트입니다.",
		["Outgoing"] = "보내는 메시지",
		["Outgoing events are events which you do to a mob or another player."] = "보내는 이벤트는 당신이 몹 혹은 다른 플레이어에게 행하는 이벤트입니다.",
		["Notification"] = "알림 메시지",
		["Notification events are available to notify you of certain actions."] = "알림 이벤트는 당신의 특정 행동 알림에 이용할 수 있습니다.",
		["Event modifiers"] = "이벤트 수정자",
		["Options for event modifiers."] = "이벤트 수정자에 대한 설정입니다.",
		["Color"] = "색상",
		["Whether to color event modifiers or not."] = "이벤트 수정자에 따른 색상 사용을 선택합니다.",
		["Damage types"] = "피해 유형",
		["Options for damage types."] = "피해 유형에 대한 설정입니다.",
		["Whether to color damage types or not."] = "피해 유형에 따른 색상 사용을 선택합니다.",
		["Sticky crits"] = "접착성 치명타",
		["Enable to show crits in the sticky style."] = "접착성 형태로 치명타를 표시합니다.",
		["Throttle events"] = "이벤트 조절",
		["Whether to merge mass events into single instances instead of excessive spam."] = "많은 이벤트로 인한 지나친 메시지 대신 단 하나의 메시지를 표시합니다.",
		["Filters"] = "필터",
		["Filters to be checked for a minimum amount of damage/healing/etc before showing."] = "화면에 표시할 데미지/치유량/기타 등의 최소값을 설정할 수 있습니다.",
		["Shorten spell names"] = "주문 이름 줄임",
		["How or whether to shorten spell names."] = "주문 이름을 짧게 표시합니다.",
		["Style"] = "스타일",
		["How or whether to shorten spell names."] = "주문 이름을 짧게 표시합니다.",
		["None"] = "없음",
		["Abbreviate"] = "약어",
		["Truncate"] = "생략",
		["Do not shorten spell names."] = "주문명을 줄이지 않습니다.",
		["Gift of the Wild => GotW."] = "야생의 선물 => 야선",
		["Gift of the Wild => Gift of t..."] = "야생의 선물 => 야생의 ...",
		["Length"] = "길이",
		["The length at which to shorten spell names."] = "텍스트 길이가 몇글자 이상일때 주문명 줄이기를 적용할지 정합니다.",
		["Critical hits/heals"] = "치명타/극대화",
		["Crushing blows"] = "강타 알림",
		["Glancing hits"] = "빗맞은 타격",
		["Partial absorbs"] = "부분적인 흡수",
		["Partial blocks"] = "부분적인 방어",
		["Partial resists"] = "부분적인 저항",
		["Vulnerability bonuses"] = "약점 보너스",
		["Overheals"] = "초과 치유",
		["<Text>"] = "<문자>",
		["Enabled"] = "사용",
		["Whether to enable showing this event modifier."] = "해당 이벤트 수정자 표시 사용을 선택합니다.",
		["What color this event modifier takes on."] = "받은 해당 이벤트 수정자의 색상을 선택합니다.",
		["Text"] = "문자",
		["What text this event modifier shows."] = "해당 이벤트 수정자 표시 문자를 선택합니다.",
		["Physical"] = "물리",
		["Holy"] = "신성",
		["Fire"] = "화염",
		["Nature"] = "자연",
		["Frost"] = "냉기",
		["Shadow"] = "암흑",
		["Arcane"] = "비전",
		["What color this damage type takes on."] = "받은 해당 피해 유형의 색상을 선택합니다.",
		["Inherit"] = "상속",
		["Thin"] = "얇게",
		["Thick"] = "두껍게",
		["<Tag>"] = "<태그>",
		["Uncategorized"] = "분류",
		["Tag"] = "태그",
		["Tag to show for the current event."] = "현재 이벤트 표시를 위한 태그입니다.",
		["Color of the text for the current event."] = "현재 이벤트에 대한 글자의 색상입니다.",
		["Sound"] = "소리",
		["What sound to play when the current event occurs."] = "현재 이벤트 발생시 재생할 소리를 선택하세요.",
		["Sticky"] = "접착성",
		["Whether the current event should be classified as \"Sticky\""] = "현재 이벤트를 \"접착성\"으로 표시 할 지를 선택합니다.",
		["Custom font"] = "사용자 글꼴",
		["Font face"] = "글꼴체",
		["Inherit font size"] = "일반 상속 글꼴 크기",
		["Font size"] = "글꼴 크기",
		["Font outline"] = "글꼴 외각선",
		["Enable the current event."] = "현재 이벤트를 사용합니다.",
		["Scroll area"] = "스크롤 영역",
		["Which scroll area to use."] = "사용할 스크롤 영역을 선택합니다.",
		["What timespan to merge events within.\nNote: a time of 0s means no throttling will occur."] = "지정한 시간안에 발생하는 트리거를 합쳐서 표현 할지 정합니다.\n팁: 값을 '0'으로 할 경우 트리거 합치기는 작동하지 않습니다.",
		["What amount to filter out. Any amount below this will be filtered.\nNote: a value of 0 will mean no filtering takes place."] = "필터링할 최소 값을 정합니다. 얼마든지 정해진 이하의 값을 가진 데이터는 출력하지 않습니다.\n'0'값은 필터링을 하지 않습니다.",
		["The amount of damage absorbed."] = "흡수된 피해량 입니다.",
		["The amount of damage blocked."] = "방어한 피해량 입니다.",
		["The amount of damage resisted."] = "저항한 피해량 입니다.",
		["The amount of vulnerability bonus."] = "약점 보너스 피해량 입니다.",
		["The amount of overhealing."] = "초과 치유량 입니다.",
		["The normal text."] = "일반 글자입니다.",
	},
	["Parrot_Display"] = {
		["None"] = "없음",
		["Thin"] = "얇게",
		["Thick"] = "두껍게",
		["Text transparency"] = "문자 투명도",
		["How opaque/transparent the text should be."] = "문자들의 투명도를 조절합니다.",
		["Icon transparency"] = "아이콘 투명도",
		["How opaque/transparent icons should be."] = "아이콘들의 투명도를 조절합니다.",
		["Enable icons"] = "아이콘 사용",
		["Set whether icons should be enabled or disabled altogether."] = "아이콘 기능을 사용할지 여부를 선택하세요.",
		["Master font settings"] = "기본 글꼴 설정",
		["Normal font"] = "일반 글꼴",
		["Normal font face."] = "일반 글꼴체입니다.",
		["Normal font size"] = "일반 글꼴 크기",
		["Normal outline"] = "일반 외곽선",
		["Sticky font"] = "접착성 글꼴",
		["Sticky font face."] = "접착성 글꼴체입니다.",
		["Sticky font size"] = "접착성 글꼴 크기",
		["Sticky outline"] = "접착성 외곽선",
	},
	["Parrot_ScrollAreas"] = {
		["Incoming"] = "받는 메시지",
		["Outgoing"] = "보내는 메시지",
		["Notification"] = "알림 메시지",
		["New scroll area"] = "새 스크롤 영역",
		["Inherit"] = "상속",
		["None"] = "없음",
		["Thin"] = "얇게",
		["Thick"] = "두껍게",
		["Left"] = "좌측",
		["Right"] = "우측",
		["Disable"] = "사용 안함",
		["Options for this scroll area."] = "해당 스크롤 영역에 대한 설정입니다.",
		["Name"] = "이름",
		["Name of the scroll area."] = "스크롤 영역의 이름입니다.",
		["<Name>"] = "<이름>",
		["Remove"] = "제거",
		["Remove this scroll area."] = "해당 스크롤 영역을 제거합니다.",
		["Icon side"] = "아이콘 표시",
		["Set the icon side for this scroll area or whether to disable icons entirely."] = "스크롤 텍스트에 아이콘을 표시합니다.",
		["Test"] = "테스트",
		["Send a test message through this scroll area."] = "해당 스크롤 영역을 통해 테스트 메세지를 보냅니다.",
		["Normal"] = "일반",
		["Send a normal test message."] = "일반 테스트 메세지를 보냅니다.",
		["Sticky"] = "접착성",
		["Send a sticky test message."] = "접착성 테스트 메세지를 보냅니다.",
		["Direction"] = "방향",
		["Which direction the animations should follow."] = "문자의 스크롤 방향을 설정합니다.",
		["Direction for normal texts."] = "일반 문자의 방향을 설정합니다.",
		["Direction for sticky texts."] = "접착성 텍스트의 방향을 설정합니다.",
		["Animation style"] = "애니메이션 스타일",
		["Which animation style to use."] = "사용할 애니메이션 스타일을 선택합니다.",
		["Animation style for normal texts."] = "일반 문자에 대한 애니메이션 형태입니다.",
		["Animation style for sticky texts."] = "접착성 문자에 대한 애니메이션 형태입니다.",
		["Position: horizontal"] = "위치: 수평",
		["The position of the box across the screen"] = "박스가 화면에서 위치할 수평값을 정하세요.",
		["Position: vertical"] = "위치: 세로",
		["The position of the box up-and-down the screen"] = "박스가 화면에서 위치할 수직값을 정하세요.",
		["Size"] = "크기",
		["How large of an area to scroll."] = "스크롤 할 영역의 크기를 설정합니다.",
		["Scrolling speed"] = "스크롤 속도",
		["How fast the text scrolls by."] = "문자 스크롤의 속도를 설정합니다.",
		["Seconds for the text to complete the whole cycle, i.e. larger numbers means slower."] = "문자가 1주기를 완료하는데 걸리는 시간(초)입니다. 큰 숫자일수록 느려집니다.",
		["Custom font"] = "사용자 글꼴",
		["Normal font face"] = "일반 글꼴체",
		["Normal inherit font size"]  = "일반 상속 글꼴 크기",
		["Normal font size"] = "일반 글꼴 크기",
		["Normal font outline"] = "일반 글꼴 외곽선",
		["Sticky font face"] = "접착성 글꼴체",
		["Sticky inherit font size"] = "접착성 상속 글꼴 크기",
		["Sticky font size"] = "접착성 글꼴 크기",
		["Sticky font outline"] = "접착성 글꼴 외곽선",
		["Click and drag to the position you want."]  = "원하는 위치로 이동하려면 클릭 후 드래그 하세요.",
		["Scroll area: %s"] = "스크롤 영역: %s",
		["Position: %d, %d"] = "위치%d，%d",
		["Scroll areas"] = "스크롤 영역",
		["Options regarding scroll areas."] = "스크롤 영역에 관한 설정입니다.",
		["Configuration mode"] = "환경설정 모드",
		["Enter configuration mode, allowing you to move around the scroll areas and see them in action."] = "스크롤 영역을 이동할 수 있는 환경 설정 모드로 변경합니다.",
		["New scroll area"] = "새 스크롤 영역",
		["Add a new scroll area."] = "새로운 스크롤 영역을 추가합니다.",
	},
	["Parrot_Suppressions"] = {
		["New suppression"] = "새로운 차단",
		["Edit"] = "편집",
		["Edit search string"] = "검색 문자열을 편집합니다.",
		["<Any text> or <Lua search expression>"] = "<문자열> 혹은 <Lua 검색 표현식>",
		["Lua search expression"] = "Lua 검색 표현식",
		["Whether the search string is a lua search expression or not."] = "Whether the search string is a lua search expression or not.",
		["Remove"] = "제거",
		["Remove suppression"] = "차단 제거",
		["Suppressions"] = "차단",
		["List of strings that will be squelched if found."] = "차단할 문자열을 등록합니다.",
		["Add a new suppression."] = "새로운 차단을 추가합니다.",
	},
	["Parrot_Triggers"] = {
		["%s!"] = "%s！",
		["Low Health!"] = "생명력 낮음!",
		["Low Mana!"] = "마나 낮음!",
		["Low Pet Health!"] = "소환수 생명력 낮음!",
		["Free %s!"] = "자유%s！",
		["Trigger cooldown"] = "재사용 시간 트리거",
		["Check every XX seconds"] = "매 XX 초마다 체크합니다.",
		["Triggers"] = "트리거",
		["New trigger"] = "새로운 트리거",
		["Create a new trigger"] = "새로운 트리거를 생성합니다.",
		["Inherit"] = "상속",
		["None"] = "없음",
		["Thin"] = "얇게",
		["Thick"] = "두껍게",
		["Druid"] = "드루이드",
		["Rogue"] = "도적",
		["Shaman"] = "주술사",
		["Paladin"] = "성기사",
		["Mage"] = "마법사",
		["Warlock"] = "흑마법사",
		["Priest"] = "사제",
		["Warrior"] = "전사",
		["Hunter"] = "사냥꾼",
		["Output"] = "출력",
		["The text that is shown"] = "표시할 문자",
		['<Text to show>'] = "<표시할 문자>",
		["Icon"] = "아이콘",
		["The icon that is shown"] = "표시할 아이콘",
		['<Spell name> or <Item name> or <Path>'] = "<주문명> 또는 <아이템 이름> 또는 <경로>",
		["Enabled"] = "사용",
		["Whether the trigger is enabled or not."] = "트리거를 사용하거나 사용하지 않습니다.",
		["Remove trigger"] = "트리거 제거",
		["Remove this trigger completely."] = "해당 트리거를 완전히 제거합니다.",
		["Color"] = "색상",
		["Color of the text for this trigger."] = "해당 트리거에 대한 문자의 색상입니다.",
		["Sticky"] = "접착성",
		["Whether to show this trigger as a sticky."] = "해당 트리거를 접착성으로 표시합니다.",
		["Classes"] = "직업",
		["Classes affected by this trigger."] = "해당 트리거를 적용할 직업입니다.",
		["Scroll area"] = "스크롤 영역",
		["Which scroll area to output to."] = "출력할 스크롤 영역을 선택합니다.",
		["Sound"] = "소리",
		["What sound to play when the trigger is shown."] = "트리거 작동시 출력할 소리를 정합니다.",
		["Test"] = "테스트",
		["Test how the trigger will look and act."] = "현재 트리거 작동시 보여지는 것을 미리 확인 하세요.",
		["Custom font"] = "사용자 글꼴",
		["Font face"] = "글꼴체",
		["Inherit font size"] = "상속 글꼴 크기",
		["Font size"] = "글꼴 크기",
		["Font outline"] = "글꼴 외곽선",
		["Primary conditions"] = "1차 조건",
		["When any of these conditions apply, the secondary conditions are checked."] = "트리거가 작동할 첫번째 조건을 선택하세요.",
		["New condition"] = "새로운 조건",
		["Add a new primary condition"] = "새로운 1차 조건을 추가합니다.",
		["Remove condition"] = "조건 제거",
		["Remove a primary condition"] = "1차 조건을 제거합니다.",
		["Secondary conditions"] = "2차 조건",
		["When all of these conditions apply, the trigger will be shown."] = "트리거가 작동할 두번째 조건을 선택하세요.",
		["Add a new secondary condition"] = "새로운 2차 조건을 추가합니다.",
		["Remove a secondary condition"] = "2차 조건을 제거합니다.",
	},
	["Parrot_AnimationStyles"] = {
		["Straight"] = "직선",
		["Up, left-aligned"] = "위로, 좌측 정렬",
		["Up, right-aligned"] = "위로, 우측 정렬",
		["Up, center-aligned"] = "위로, 가운데 정렬",
		["Down, left-aligned"] = "아래로, 좌측 정렬",
		["Down, right-aligned"] = "아래로, 우측 정렬",
		["Down, center-aligned"] = "아래로, 가운데 정렬",
		["Parabola"] = "곡선",
		["Up, left"] = "위로, 좌측",
		["Up, right"] = "위로, 우측",
		["Up, alternating"] = "위로, 교차",
		["Down, left"] = "아래로, 좌측",
		["Down, right"] = "아래로, 우측",
		["Down, alternating"] = "아래로, 교차",
		["Semicircle"] = "반원",
		["Pow"] = "지진",
		["Static"] = "고정",
		["Rainbow"] = "무지개",
		["Horizontal"] = "수평",
		["Left"] = "좌측",
		["Right"] = "우측",
		["Alternating"] = "교차",
		["Action"] = "액션",
		["Action Sticky"] = "고정 고정",
		["Angled"] = "모서리",
		["Sprinkler"] = "스프링클러",
		["Up, clockwise"] = "위로, 시계방향" ,
		["Down, clockwise"] = "아래로, 시계방향",
		["Left, clockwise"] = "좌측, 시계방향",
		["Right, clockwise"] = "우측, 시계방향",
		["Up, counter-clockwise"] = "위로, 반시계방향",
		["Down, counter-clockwise"] = "아래로, 반시계방향",
		["Left, counter-clockwise"] = "좌측, 반시계방향",
		["Right, counter-clockwise"] = "우측, 반시계방향",
	},
	["Parrot_Auras"] = {
		["Auras"] = "오라",
		["Debuff gains"] = "디버프 획득",
		["The name of the debuff gained."] = "획득한 디버프 이름",
		["Buff gains"] = "버프 획득",
		["The name of the buff gained."] = "획득한 버프 이름",
		["Item buff gains"] = "아이템 버프 획득",
		["The name of the item buff gained."] = "획득한 아이템 버프 이름",
		["The rank of the item buff gained."] = "획득한 아이템 버프 레벨",
		["Debuff fades"] = "디버프 사라짐",
		["The name of the debuff lost."] = "사라진 디버프 이름",
		["Buff fades"] = "버프 사라짐",
		["The name of the buff lost."] = "사라진 버프 이름",
		["Item buff fades"] = "아이템 버프 사라짐",
		["The name of the item buff lost."] = "사라진 아이템 버프 이름",
		["The rank of the item buff lost."] = "사라진 아이템 버프 레벨",
		["Self buff gain"] = "자신 버프 획득",
		["<Buff name>"] = "<버프 이름>",
		["Self buff fade"] = "자신 버프 사라짐",
		["Self debuff gain"] = "자신 디버프 획득",
		["<Debuff name>"] = "<디버프 이름>",
		["Self debuff fade"] = "자신 디버프 사라짐",
		["Self item buff gain"] = "자신 아이템 버프 획득",
		["<Item buff name>"] = "<아이템 버프 이름>",
		["Self item buff fade"] = "자신 아이템 버프 사라짐",
		["Target buff gain"] = "대상 버프 획득",
		["Target debuff gain"] = "대상 디버프 획득",
		["Buff inactive"] = "활동하지 않는 버프",
		["Buff active"] = "버프 발동",
	},
	["Parrot_CombatEvents_Data"] = {
		["Incoming damage"] = "들어오는 데미지",
		["Melee damage"] = "근접 피해",
		["Melee"] = "근접",
		["The name of the enemy that attacked you."] = "당신을 공격한 적의 이름입니다.",
		["The amount of damage done."] = "입힌 피해량입니다.",
		[" (%d hit, %d crit)"] = " (%d 타격, %d 치명타)",
		[" (%d hit, %d crits)"] = " (%d 타격, %d 치명타)",
		[" (%d hits, %d crit)"] = " (%d 타격, %d 치명타)",
		[" (%d hits, %d crits)"] = " (%d 타격, %d 치명타)",
		[" (%d crits)"] = " (%d치명타)",
		[" (%d hits)"] = " (%d타격)",
		["Multiple"] = "복합",
		["Melee misses"] = "근접 빗맞힘",
		["Miss!"] = "빚맞힘!",
		["Melee dodges"] = "근접 회피",
		["Dodge!"] = "회피!",
		["Melee parries"] = "근접 막음",
		["Parry!"] = "막음!",
		["Melee blocks"] = "근접 방어",
		["Block!"] = "방어!",
		["Melee absorbs"] = "근접 흡수",
		["Absorb!"] = "흡수!",
		["Melee immunes"] = "근접 면역",
		["Immune!"] = "면역!",
		["Melee evades"] = "근접 피함",
		["Evade!"] = "피함!",
		["Skills"] = "기술",
		["Skill damage"] = "기술 피해",
		["The type of damage done."] = "입힌 피해의 유형입니다.",
		["The spell or ability that the enemy attacked you with."] = "당신을 공격한 적의 주문 혹은 기술입니다.",
		["DoTs and HoTs"] = "지속적인 피해/치유",
		["Skill DoTs"] = "기술 주기적인 피해",
		["Ability misses"] = "기술 빗맞힘",
		["Ability dodges"] = "기술 회피함",
		["Ability parries"] = "기술 막음",
		["Ability blocks"] = "기술 방어",
		["Spell resists"] = "주문 저항",
		["Resist!"] = "저항!",
		["Skill absorbs"] = "기술 흡수",
		["Skill immunes"] = "기술 면역",
		["Skill reflects"] = "기술 반사",
		["Reflect!"] = "반사!",
		["Skill interrupts"] = "기술 차단",
		["Interrupt!"] = "차단!",
		["Incoming heals"] = "들어오는 치유",
		["Heals"] = "치유",
		["The name of the ally that healed you."] = "당신을 치유한 아군의 이름입니다.",
		["The spell or ability that the ally healed you with."] = "당신을 치유한 아군의 주문 혹은 기술입니다.",
		["The amount of healing done."] = "치유량입니다.",
		[" (%d heal, %d crit)"] = " (%d 치유，%d 극대화)",
		[" (%d heal, %d crits)"] = " (%d 치유，%d 극대화)",
		[" (%d heals, %d crit)"] = " (%d 치유，%d 극대화)",
		[" (%d heals, %d crits)"] = " (%d 치유，%d 극대화)",
		[" (%d heals)"] = " (%d 치유)",
		["Heals over time"] = "지속적인 치유",
		["Environmental damage"] = "환경 피해",
		["Outgoing damage"] = "나가는 데미지",
		["The name of the enemy you attacked."] = "당신이 공격한 적의 이름입니다.",
		["The spell or ability that you used."] = "당신이 사용한 주문 혹은 기술입니다.",
		["Skill evades"] = "기술 빗맞음",
		["Outgoing heals"] = "나가는 치유",
		["The name of the ally you healed."] = "당신이 치유한 아군의 이름입니다.",
		["Pet melee"] = "소환수 근접",
		["Pet melee damage"] = "소환수 근접 피해",
		["Pet [Amount]"] = "소환수 [Amount]",
		["The name of the enemy your pet attacked."] = "당신의 소환수가 공격한 적의 이름입니다.",
		["Pet melee misses"] = "소환수 근접 빗맞힘",
		["Pet Miss!"] = "소환수 빚맛힘!",
		["Pet melee dodges"] = "소환수 근접 회피",
		["Pet Dodge!"] = "소환수 회피!",
		["Pet melee parries"] = "소환수 근접 막음",
		["Pet Parry!"] = "소환수 막음!",
		["Pet melee blocks"] = "소환수 근접 방어",
		["Pet Block!"] = "소환수 방어!",
		["Pet melee absorbs"] = "소환수 근접 흡수",
		["Pet Absorb!"] = "소환수 흡수!",
		["Pet melee immunes"] = "소환수 근접 면역",
		["Pet Immune!"] = "소환수 면역!",
		["Pet melee evades"] = "소환수 근접 피함",
		["Pet Evade!"] = "소환수 피함!",
		["Pet skills"] = "소환수 기술",
		["Pet skill"] = "소환수 기술",
		["Pet skill damage"] = "소환수 기술 피해",
		["Pet [Amount] ([Skill])"] = "소환수 [Amount] ([Skill])",
		["The ability or spell your pet used."] = "당신의 소환수가 사용한 기술 혹은 주문입니다.",
		["Pet ability misses"] = "소환수 기술 빗맞힘",
		["Pet ability dodges"] = "수환수 기술 회피",
		["Pet ability parries"] = "소환수 기술 막음",
		["Pet ability blocks"] = "소환수 기술 방어",
		["Pet spell resists"] = "소환수 주문 저항",
		["Pet Resist!"] = "소환수 저항!",
		["Pet skill absorbs"] = "소환수 기술 흡수",
		["Pet skill immunes"] = "소환수 기술 면역",
		["Pet skill reflects"] = "소환수 기술 반사",
		["Pet Reflect!"] = "소환수 반사!",
		["Pet skill evades"] = "소환수 기술 빗맞음",
		["Combat status"] = "전투 상황",
		["Enter combat"] = "전투 시작",
		["Leave combat"] = "전투 종료",
		["Power gain/loss"] = "파워 획득/손실",
		["Power change"] = "파워 변동",
		["Power gain"] = "파워 획득",
		["+[Amount] [Type]"] = "+[Amount] [Type]",
		["The amount of power gained."] = "획득한 파워 수치입니다.",
		["The type of power gained (Mana, Rage, Energy)."] = "파워 획득 유형입니다. (마나, 분노, 기력)",
		["The ability or spell used to gain power."] = "파워 획득에 사용된 기술 혹은 주문입니다.",
		["The character that the power comes from."] = "파워를 빼앗은 케릭터입니다.",
		[" (%d gains)"] = " (%d 획득)",
		["Power loss"] = "파워 손실",
		["-[Amount] [Type]"] = "-[Amount] [Type]",
		["The amount of power lost."] = "손실된 파워 수치입니다.",
		["The type of power lost (Mana, Rage, Energy)."] = "파워 손실 유형입니다. (마나, 분노, 기력)",
		["The ability or spell take away your power."] = "당신의 파워를 뺏앗아 간 기술 혹은 주문입니다.",
		["The character that caused the power loss."] = "파워 손실을 일으킨 캐릭터입니다",
		[" (%d losses)"] = " (%d 손실)",
		["Combo points"] = "연계 포인트",
		["Combo point gain"] = "연계 포인트 획득",
		["[Num] CP"] = "[Num] 연계",
		["The current number of combo points."] = "현재 연계 포인트 개수입니다.",
		["Combo points full"] = "연계 포인트 충만",
		["[Num] CP Finish It!"] = "[Num] 연계 포인트 마무리!",
		["Honor gains"] = "명예 획득",
		["The amount of honor gained."] = "획득한 명예 수치입니다.",
		["The name of the enemy slain."] = "죽인 적의 이름입니다.",
		["The rank of the enemy slain."] = "죽인 적의 계급입니다.",
		["Reputation"] = "평판",
		["Reputation gains"] = "평판 획득",
		["The amount of reputation gained."] = "획득한 평판 수치입니다.",
		["The name of the faction."] = "진영명입니다.",
		["Reputation losses"] = "평판 손실",
		["The amount of reputation lost."] = "손실된 평판 수치입니다.",
		["Skill gains"] = "기술 획득",
		["The skill which experienced a gain."] = "경험치를 획득한 기술입니다.",
		["The amount of skill points currently."] = "현재 스킬 포인트입니다.",
		["Experience gains"] = "경험치 획득",
		["The name of the enemy slain."] = "죽인 적의 이름입니다.",
		["The amount of experience points gained."] = "획득한 경험치 수치입니다.",
		["Killing blows"] = "결정타",
		["Player killing blows"] = "플레이어 죽임 알림",
		["Killing Blow!"] = "죽임!",
		["The spell or ability used to slay the enemy."] = "적을 죽인 주문 혹은 기술입니다.",
		["NPC killing blows"] = "NPC 죽임 알림",
		["Soul shard gains"] = "영혼석 획득",
		["The name of the soul shard."] = "영혼석 이름 입니다.",
		["Extra attacks"] = "추가 공격",
		["%s!"] = "%s！",
		["The name of the spell or ability which provided the extra attacks."] = "추가 공격을 제공한 주문 혹은 기술명 입니다.",
	},
	["Parrot_Cooldowns"] = {
		["Cooldowns"] = "재사용 대기시간",
		["Skill cooldown finish"] = "기술 재사용 대기시간 완료",
		["[[Skill] ready!]"] = "> [Skill] 사용 가능! <",
		["The name of the spell or ability which is ready to be used."] = "사용할 준비가된 주문이나 능력의 이름",
		["Traps"] = "덫류",
		["Shocks"] = "충격류",
		["Divine Shield"] = "천상의 보호막",
		["%s Tree"] = "%s Tree",
		["Spell ready"] = "주문/스킬 준비완료",
		["<Spell name>"] = "<주문 이름>",
	},
	["Parrot_Loot"] = {
		["Loot"] = "획득",
		["Loot items"] = "아이템 획득",
		["Loot [Name] +[Amount]([Total])"] = "[Name] +[Amount]（[Total]) 획득",
		["The name of the item."] = "아이템의 이름",
		["The amount of items looted."] = "획득한 아이템의 수량",
		["The total amount of items in inventory."] = "가방에 있는 아이템의 총 수량",
		["Loot money"] = "골드 획득",
		["Loot +[Amount]"] = "+[Amount] 획득",
		["The amount of gold looted."] = "획득한 골드의 양",
	},
	["Parrot_TriggerConditions_Data"] = {
		["Enemy target health percent"] = "적대적 대상 생명력 백분율",
		["Friendly target health percent"] = "우호적 대상 생명력 백분율",
		["Self health percent"] = "자신 생명력 백분율",
		["Self mana percent"] = "자신 마나 백분율",
		["Pet health percent"] = "소환수 생명력 백분율",
		["Incoming block"] = "들어오는 방어",
		["Incoming crit"] = "들어오는 치명타",
		["Incoming dodge"] = "들어오는 회피",
		["Incoming parry"] = "들어오는 막음",
		["Outgoing block"] = "나가는 방어",
		["Outgoing crit"] = "나가는 치명타",
		["Outgoing dodge"] = "나가는 회피",
		["Outgoing parry"] = "나가는 막음",
		["Outgoing cast"] = "내가 시전하는 주문",
		["<Skill name>"] = "<주문 이름>",
		["Incoming cast"] = "나를 대상으로한 주문시전",
		["Minimum power amount"] = "최소 파워 수치",
		["Warrior stance"] = "전사 태세",
		["Not in warrior stance"] = "전투태세 아닐때",
		["Battle Stance"] = "전투 태세",
		["Defensive Stance"] = "방어 태세",
		["Berserker Stance"] = "광폭 태세",
	},
	["Parrot_CombatStatus"] = {
		["Combat status"] = "전투 상황",
		["Enter combat"] = "전투 시작",
		["+Combat"] = "+전투",
		["Leave combat"] = "전투 종료",
		["-Combat"] = "-전투",
		["In combat"] = "전투중",
		["Not in combat"] = "비전투중",
	},
} end

----------------------------------
--            Translate End            --
----------------------------------

function Parrot:L(name, defaultTable)
	if not localeTables[name] then
		localeTables[name] = setmetatable(defaultTable or {}, {__index = function(self, key)
			self[key] = key
			return key
		end})
	end
	return localeTables[name]
end

local L = Parrot:L("Parrot")

local SharedMedia = Rock("LibSharedMedia-2.0")

local newList, unpackListAndDel = Rock:GetRecyclingFunctions("Parrot", "newList", "unpackListAndDel")

Parrot:SetDatabase("ParrotDB")
Parrot:SetDatabaseDefaults('profile', {
	gameDamage = false,
	gameHealing = false,
})

function Parrot:OnInitialize()
	self:SetConfigSlashCommand("/Parrot", "/Par")

	if not self.db.account.firstTimeWoW21 then
		self.db.account.firstTimeWoW21 = true
		SetCVar("scriptErrors", "1")
	end
end

function Parrot.inheritFontChoices()
	local t = newList()
	for _,v in ipairs(SharedMedia:List('font')) do
		t[#t+1] = v
	end
	table.sort(t)
	table.insert(t, 1, L["Inherit"])
	return "@list", unpackListAndDel(t)
end
function Parrot:OnEnable()
	_G.SHOW_COMBAT_TEXT = "0"
	if type(_G.CombatText_UpdateDisplayedMessages) == "function" then
	   _G.CombatText_UpdateDisplayedMessages()
	end

	if _G.CombatText_OnEvent then
		self:AddHook("CombatText_OnEvent", function()
			_G.SHOW_COMBAT_TEXT = "0"
			if type(_G.CombatText_UpdateDisplayedMessages) == "function" then
			   _G.CombatText_UpdateDisplayedMessages()
			end
		end)
	end

	SetCVar("CombatDamage", self.db.profile.gameDamage and "1" or "0")
	SetCVar("CombatHealing", self.db.profile.gameHealing and "1" or "0")

	SetCVar("CombatLogPeriodicSpells", 1)
	SetCVar("PetMeleeDamage", 1)

	for name, module in self:IterateModules() do
		self:ToggleModuleActive(module, true)
	end
end
function Parrot:OnDisable()
	SetCVar("CombatDamage", "1")
	SetCVar("CombatHealing", "1")
	_G.SHOW_COMBAT_TEXT = "1"

	for name, module in self:IterateModules() do
		self:ToggleModuleActive(module, false)
	end
end
function Parrot:OnProfileEnable()
	if self:IsActive() then
		self:ToggleActive(false)
		self:ToggleActive(true)
	end
end

local function initOptions()
	initOptions = function() end

	Parrot:OnOptionsCreate()
	Parrot.OnOptionsCreate = nil

	for k, v in Parrot:IterateModules() do
		if type(v.OnOptionsCreate) == "function" then
			v:OnOptionsCreate()
			v.OnOptionsCreate = nil
		end
	end
	Parrot:AddTimer(0, _G.collectgarbage, 'collect')
end

function Parrot:OnOptionsCreate()
	self:AddOption('general', {
		type = 'group',
		name = L["General"],
		desc = L["General settings"],
		disabled = function()
			return not self:IsActive()
		end,
		args = {
			gameDamage = {
				type = 'boolean',
				name = L["Game damage"],
				desc = L["Whether to show damage over the enemy's heads."],
				get = function()
					return Parrot.db.profile.gameDamage
				end,
				set = function(value)
					Parrot.db.profile.gameDamage = value
					SetCVar("CombatDamage", value and "1" or "0")
				end,
			},
			gameHealing = {
				type = 'boolean',
				name = L["Game healing"],
				desc = L["Whether to show healing over the enemy's heads."],
				get = function()
					return Parrot.db.profile.gameHealing
				end,
				set = function(value)
					Parrot.db.profile.gameHealing = value
					SetCVar("CombatHealing", value and "1" or "0")
				end,
			},
		}
	})
end

local addedOptions = {
}
Parrot.addedOptions = addedOptions
function Parrot:AddOption(key, table)
	addedOptions[key] = table
end

Parrot.options = {
	name = L["Parrot"],
	desc = L["Floating Combat Text of awesomeness. Caw. It'll eat your crackers."],
	type = 'group',
	icon = [[Interface\Icons\Spell_Nature_ForceOfNature]],
	args = function()
		initOptions()
		return addedOptions
	end,
}

Parrot:SetConfigTable(Parrot.options)
